<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_09_addcontent() */
/* タブのスラグ haumenu_define_tab_slug_09_addcontent() */
/* $option_name 設定名 haumenu_define_option_name_09_addcontent() */
/* get_option GetOP09_addcontent() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_09_addcontent( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_addcontent';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_09_addcontent();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		//$set_name . 'use-top-home-scroll' => array(
			//'.home-top-button-align-wrapper',
		//),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_09_addcontent', 20 );

/*** ダッシュアイコンを使うかどうか ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_is_use_custom_design_with_dashicon(){
//項目の追加
	add_settings_field(
		'use-custom-design-with-dashicon', // 設定名
		__('Is Use DashIcon','hima-art-utility'), // 設定タイトル
		'haumenu_is_use_custom_design_with_dashicon', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_09_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_09_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_is_use_custom_design_with_dashicon' );

/* 入力フォーム */
function haumenu_is_use_custom_design_with_dashicon() {
	$set_name = haumenu_define_option_name_09_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'use-custom-design-with-dashicon'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Enable to allow the standard WordPress dash icon to be used throughout the site','hima-art-utility'); ?></p>
</label>
<details class="accordion"  style="margin: 5px 0px 0px 0px;overflow: hidden;">
<summary class="accordion__title" style="cursor: pointer;"><?php esc_html_e('View detailed description','hima-art-utility'); ?></summary>
<div class="accordion__content">
<ul>
<li><?php esc_html_e('By including the dash icon CSS code in the style code, you will be able to display the mark.','hima-art-utility'); ?></li>
<li><?php esc_html_e('For more information about the dash icon, please see the official page','hima-art-utility'); ?></li>
</ul>
</div>
</details>
<?php
}

/*** 独自アイコンの拡張 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_expansion_hau_icons(){
//項目の追加
	add_settings_field(
		'expansion-hau-icons', // 設定名
		__('Extending the HAU icon','hima-art-utility'), // 設定タイトル
		'haumenu_expansion_hau_icons', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_09_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_09_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_expansion_hau_icons' );

/* 入力フォーム */
function haumenu_expansion_hau_icons() {
	$set_name = haumenu_define_option_name_09_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'expansion-hau-icons'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Nearly 800 icons will be available, and you will be able to easily insert them from the block editor toolbar.','hima-art-utility'); ?></p>
</label>
<div  class="haup-admin-bk">
	<p><?php esc_html_e('Please check the following before enabling it:','hima-art-utility'); ?></p>
	<ol>
		<li><?php esc_html_e('As more icons become available, the file size that must be loaded also increases, which may affect page speed.','hima-art-utility'); ?></li>
		<li><?php esc_html_e('If you disable this function, any place where an icon other than the basic icon was inserted while it was enabled will be blank instead of displaying an icon, or an X mark will be displayed. Therefore, if you disable this function after enabling it once, maintenance is required.','hima-art-utility'); ?></li>
	</ol>
</div>
<p class="haup-admin-font-red"><?php esc_html_e('*If the icon does not appear after enabling this function, please clear your cache (Ctrl+F5 in most browsers).','hima-art-utility'); ?></p>
<div style="text-align:right;margin-top:1rem;"><a href="<?php echo esc_url(HAUP_MANUAL_DIR); ?>/howtouse-icons" target="_blank"><?php echo esc_html(haup_manual_text()); ?></a></div>
<?php
}